# Node Functions

Node functions can be added to other Nodes to extend their functionality.

## Available Functions

### Clickable

Access the events that pass through the node using signals.
Useful for connection to events that happen on other nodes.

### Movable

Adds the ability to move the node using the controller or hands.
The parent needs to be a `StaticBody3D`.